Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79709 - fails to load pcmcia modules
Summary: fails to load pcmcia modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel-pcmcia-cs
Version: 1.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-16 00:45 UTC by John Ellson
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-26 01:35:35 UTC


Attachments (Terms of Use)

Description John Ellson 2002-12-16 00:45:17 UTC
Description of problem:
Failure to load pcmcia modules after reboot or "service pcmcia restart" resulted
in no network connection

Version-Release number of selected component (if applicable):
kernel-pcmcia-cs-3.1.31-11.i386.rpm

How reproducible:
100%

Steps to Reproduce:
1. rpm -Uvh kernel-pcmcia-cs-3.1.31-11.i386.rpm hwdata-0.62-2.noarch.rpm
2. service pcmcia restart
3.
    
Actual results:
root@beermat:root# service pcmcia start
Starting PCMCIA services: modulesmodprobe: Can't locate module
/lib/modules/2.4.18-18.8.0/pcmcia/pcmcia_core.o
modprobe: Can't locate module /lib/modules/2.4.18-18.8.0/pcmcia/yenta_socket.o
modprobe: Can't locate module /lib/modules/2.4.18-18.8.0/pcmcia/ds.o
 cardmgr.

Expected results:
kernel-pcmcia-cs-3.1.31-9.i386.rpm and hwdata-0.47-1.noarch.rpm
from RedHat 8.0 work OK.  lsmod then shows (in part):

pcnet_cs               15040   1
8390                    8236   0  [pcnet_cs]
ds                      8712   2  [pcnet_cs]
yenta_socket           12928   2
pcmcia_core            54752   0  [pcnet_cs ds yenta_socket]

Additional info:
Using kernel-2.4.18-18.8.0 from RedHat 8.0 updates.

Comment 1 Arjan van de Ven 2002-12-16 09:39:24 UTC
did you get the other requirements too of the kernel ? 
(eg modutils and kudzu etc)


Comment 2 John Ellson 2002-12-16 11:42:54 UTC
I didn't --force the rpm upgrade, so can't I assume that the dependencies
are satisfied?  I tested with:
kernel-2.4.18-18.8.0 hwdata-0.47-1 kernel-pcmcia-cs-3.1.31-9 modutils-2.4.22-1
kudzu-0.99.83-1

If I downgrade kernel-pcmcia-cs and its conflicts: hwdata and kudzu, then
everything works:
kernel-2.4.18-18.8.0 hwdata-0.62-2 kernel-pcmcia-cs-3.1.31-11 modutils-2.4.22-1
kudzu-0.99.69-1

Comment 3 Arjan van de Ven 2002-12-16 11:45:09 UTC
hmm weird; I run like that on my laptop ;(
maybe you need to do depmod -ae after installing the new modutils ?

Comment 4 John Ellson 2002-12-16 11:47:03 UTC
Oops, typo:

It fails with: 
kernel-2.4.18-18.8.0 hwdata-0.47-1 kernel-pcmcia-cs-3.1.31-11 modutils-2.4.22-1
kudzu-0.99.83-1

It works with:
kernel-2.4.18-18.8.0 hwdata-0.62-2 kernel-pcmcia-cs-3.1.31-9 modutils-2.4.22-1
kudzu-0.99.69-1

Comment 5 John Ellson 2002-12-16 11:52:49 UTC
> maybe you need to do depmod -ae after installing the new modutils ?

I tried this:
rpm -Uvh modutils-2.4.22-1.i386.rpm modutils-devel-2.4.22-1.i386.rpm
depmod -ae
service pcmcia restart

same problem

Comment 6 Bill Nottingham 2002-12-19 21:43:53 UTC
Are there errors in /var/log/messages or dmesg?

Comment 7 John Ellson 2002-12-20 00:43:14 UTC
Yes, something about syntax errors in the config file:

root@beermat:rawhide#  rpm -Fvh hwdata-0.62-2.noarch.rpm
kernel-pcmcia-cs-3.1.31-11.i386.rpm kudzu-0.99.83-1.i386.rpm
kudzu-devel-0.99.83-1.i386.rpm
Preparing...                ########################################### [100%]
   1:hwdata                 ########################################### [ 25%]
   2:kudzu                  ########################################### [ 50%]
   3:kernel-pcmcia-cs       ########################################### [ 75%]
   4:kudzu-devel            ########################################### [100%]
root@beermat:rawhide# service pcmcia restart
Shutting down PCMCIA services: cardmgr modules.
Starting PCMCIA services: modulesmodprobe: Can't locate module
/lib/modules/2.4.18-18.8.0/pcmcia/pcmcia_core.o
modprobe: Can't locate module /lib/modules/2.4.18-18.8.0/pcmcia/yenta_socket.o
modprobe: Can't locate module /lib/modules/2.4.18-18.8.0/pcmcia/ds.o
 cardmgr.
root@beermat:rawhide# tail -14 /var/log/messages
Dec 19 19:54:16 localhost su(pam_unix)[12930]: session opened for user root by
ellson(uid=500)
Dec 19 19:56:04 localhost cardmgr[2203]: executing: './network check eth0'
Dec 19 19:56:04 localhost cardmgr[2203]: executing: './network stop eth0'
Dec 19 19:56:05 localhost dhclient: receive_packet failed on eth0: Network is down
Dec 19 19:56:05 localhost cardmgr[2203]: executing: 'modprobe -r pcnet_cs'
Dec 19 19:56:05 localhost /etc/hotplug/net.agent: NET unregister event not supported
Dec 19 19:56:06 localhost cardmgr[2203]: executing: 'modprobe -r 8390'
Dec 19 19:56:06 localhost cardmgr[2203]: exiting
Dec 19 19:56:08 localhost kernel: unloading Kernel Card Services
Dec 19 19:56:09 localhost cardmgr[13140]: starting, version is 3.1.31
Dec 19 19:56:09 localhost cardmgr[13140]: config error, file 'config' line 1056:
syntax error
Dec 19 19:56:09 localhost cardmgr[13140]: config error, file 'config' line 2136:
no function bindings
Dec 19 19:56:09 localhost cardmgr[13140]: no pcmcia driver in /proc/devices
Dec 19 19:56:09 localhost cardmgr[13140]: exiting 

Comment 8 John Ellson 2003-01-10 15:27:58 UTC
This problem has gone as of:
    rawhide-release-20030109-1
    kernel-2.4.20-2.9
    kernel-pcmcia-cs-3.1.31-12


Note You need to log in before you can comment on or make changes to this bug.